Bug 895977

Summary: Usability: Combobox with many items sometimes unusable
Product: [Fedora] Fedora Reporter: Jan "Yenya" Kasprzak <kas>
Component: gtk3Assignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: g.kaviyarasu, jonathan, lsatenstein, mclasen, mkolman, sbueno, stephent98, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 07:43:56 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
screenshot showing timezone cities menu
none
screenshot showing cities menu without down arrow
none
Fedora 20 screenshot none

Description Jan "Yenya" Kasprzak 2013-01-16 07:12:43 EST
Description of problem:
In the time zone selection page when I select Europe, and want to select the  city using mouse, the pop-up dialog with cities is too large to fit into the screen (my laptop has 1280x800 screen), and only the first 15 or so cities can be directly selected using mouse. Even moving the cursor to the bottom of the list does not make it scroll to the next part of the list.

The only way how to select a city which name does not fit to the screen is to use the down-arrow keyboard button.

Additional info:
There are more usability bugs in Anaconda, for example having the "Done" button on this page in the upper left corner, while having the "Begin installation" button of the main screen in the lower right corner.
Comment 1 Steve Tyler 2013-01-16 13:46:43 EST
Created attachment 679747 [details]
screenshot showing timezone cities menu

Do you see the small up and down arrows like those in the screenshot?

Also, the Home, End, Page-Up and Page-Down keys can be used to navigate the menu.
Comment 2 Steve Tyler 2013-01-16 14:02:22 EST
Created attachment 679750 [details]
screenshot showing cities menu without down arrow

Sometimes the down arrow is not displayed.

Command-line:
$ qemu-kvm -m 2048 -hda f18-test-3.img -cdrom ~/xfr/fedora/F18/F18-Final/Final/Fedora-18-x86_64-DVD.iso -vga qxl -boot menu=on -usbdevice mouse
Comment 3 Vratislav Podzimek 2013-01-17 07:25:21 EST
(In reply to comment #2)
> Created attachment 679750 [details]
> screenshot showing cities menu without down arrow
> 
> Sometimes the down arrow is not displayed.
I've also hit the case when the down arrow was missing. But this has nothing to do with the installer or its GUI. Changing summary and reassigning to Gtk.
Comment 4 Jan "Yenya" Kasprzak 2013-01-17 07:26:00 EST
Steve,

on my laptop, there definitely were no up and down arrows in the pop-up list.
I have used a -netinst.iso instead of -DVD.iso, FWIW.

qemu-kvm is crashing on me when trying to switch to the graphics mode. With -vga cirrus it works, but I cannot make it use a 1280x800 mode. In the default mode, the arrows are there.
Comment 5 Jan "Yenya" Kasprzak 2013-01-17 08:30:38 EST
I can reproduce this now even in a VM:

1. In the Date&Time screen, click on the "Region" pop-up, and select "Europe". 2. The "City" pop-up now displays "Amsterdam".
3. Click on the "Amsterdam" label, and now the pop-up with cities does not have the "down" arrow, even though it is larger than the screen.

Subsequent clicks on the "Amsterdam" label display the pop-up with the "down" arrow present. Probably only the first pop-up has this problem, and only when selecting the region first, not when clicking on the map.
Comment 6 Fedora End Of Life 2013-12-21 05:25:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan "Yenya" Kasprzak 2014-01-02 10:21:05 EST
Created attachment 844594 [details]
Fedora 20 screenshot

This is still present in Fedora 20 anaconda, at least when trying to install in a VM. Attaching a screenshot.

Re: comment #1. The arrow keys and PageUp/Down can indeed be used to navigate the menu, but using both down arrow and PageDown keys I can reach the items outside the screen, so I still cannot see which item I am selecting.
Comment 8 Matthias Clasen 2015-02-13 13:34:24 EST
*** Bug 957229 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2015-05-29 04:51:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 07:43:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.